import Vue from 'vue';
import Vuex from 'vuex';
import * as list from '@/store/jobinfo';
import * as post from '@/store/jobs';
import * as user from '@/store/user';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    list: list,
    user: user,
    post: post,
  },
});
