import Vue from 'vue';
import Vuex from 'vuex';
import * as jobinfo from '@/store/jobinfo';
import * as user from '@/store/user';
import * as corp from '@/store/corp';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    jobinfo: jobinfo,
    user: user,
    corp: corp,
  },
});
