import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);
const api = {};

export const state = () => ({
  limit: 5,
  totalRow: 20,
  rows: 0,
  loading: false,
});

export const mutations = {
  updateTotalRow(state, payload) {
    state.totalRow = payload;
  },
  updateRows(state, payload) {
    state.rows = payload;
  },
  updateLoading(state, payload) {
    state.loading = payload;
  },
};

export const actions = {
  /**
   * 请求列表
   * payload => type:请求什么列表:jobfair/talk/jobinfo/jobs
   */
  async getList({ state, commit }, payload) {
    let result = [list, list, list, list, list];
    console.log(state.rows + result.length);
    commit('updateRows', state.rows + result.length);
    commit(`updateLoading`, false);
    return result;
  },
};

const list = {
  fair_id: '1',
  title: 'title',
  organisers: '主办方',
  address: 'address',
  fact_c_count: '2000',
  meet_day: '2019-07-01',
  meet_time: '19:00',
  view_count: '1000',
  is_over: '0',
};
