import Vue from 'vue';
import Vuex from 'vuex';
import * as profiles from '@/store/profiles';
import * as jobs from '@/store/jobs';
import * as hr from '@/store/hr';
import * as jobinfo from '@/store/jobinfo';
import * as talks from '@/store/talks';
import * as resumes from '@/store/resumes';
import * as letters from '@/store/letters';
import * as jobfair from '@/store/jobfair';
import * as school from '@/store/schoolList';
import * as user from '@/store/user';
import * as news from '@/store/news';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    profiles: profiles,
    jobs: jobs,
    hr: hr,
    jobinfo: jobinfo,
    talks: talks,
    resumes: resumes,
    letters: letters,
    jobfair: jobfair,
    school: school,
    user: user,
    news: news,
  },
});
