import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

const router = new Router({
  routes: [
    {
      path: '/',
      name: 'login',
      component: () => import('./views/login.vue'),
    },
    {
      path: '/loginStu',
      name: 'loginStu',
      component: () => import('./views/loginStu.vue'),
    },
    {
      path: '/loginCom',
      name: 'loginCom',
      component: () => import('./views/loginCom.vue'),
    },
    {
      path: '/company',
      component: () => import('./views/register.vue'),
    },
    {
      path: '/basic',
      component: () => import('./views/registerEnt/basic.vue'),
    },
    {
      path: '/business',
      component: () => import('./views/registerEnt/business.vue'),
    },
    {
      path: '/student',
      component: () => import('./views/registerStu.vue'),
    },
  ],
});

export default router;
