import Vue from 'vue';
import Vuex from 'vuex';
import * as ticket from '@/store/ticket';
import * as user from '@/store/user';
import * as jobfair from '@/store/jobfair';
import * as talks from '@/store/talks';
import * as resumes from '@/store/resumes';
import * as letters from '@/store/letters';
import * as jobs from '@/store/jobs';
import * as corp from '@/store/corp';
import * as dictionary from '@/store/dictionary';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    ticket: ticket,
    user: user,
    talks: talks,
    jobfair: jobfair,
    resumes: resumes,
    letters: letters,
    jobs: jobs,
    corp: corp,
    dictionary: dictionary,
  },
});
