import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  columnQuery: `/api/cms/column/list`,
  columnFetch: `/api/cms/column/fetch/{id}`,
};
export const state = () => ({});
export const mutations = {};
export const actions = {
  //栏目管理
  async columnOperation({ state }, { type, data }) {
    let { skip, limit } = data;
    let result;
    if (type === 'list') {
      //TODO
      let { parent_id } = data;
      result = await this.$axios.$get(api.columnQuery, {}, { parent_id: parent_id, is_use: '0' });
    }
    if (type === 'search') {
      let { parent_id } = data;
      result = await this.$axios.$get(api.columnFetch, {
        id: parent_id,
      });
    }
    return result;
  },
};
