import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  corpInfo: '/api/corp/corps/{corpid}/info',
  corpBase: '/api/corp/corps/{corpid}',
  corpIdentity: '/api/corp/corps/{corpid}/identity',
};

export const state = () => ({});
export const mutations = {};
export const actions = {
  //企业基本信息
  async corpOperation({ state }, { type, data }) {
    let result;
    if (type === 'search') {
      let { corpid } = data;
      let info = await this.$axios.$get(`${api.corpInfo}`, { corpid: corpid });
      let base = await this.$axios.$get(api.corpBase, { corpid: corpid });
      let identity = await this.$axios.$get(api.corpIdentity, { corpid: corpid });
      return { info: info.data, base: base.data, identity: identity.data };
    }
    return result;
  },
};
