import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  dictionary: '/api/code/{type}/items', //type === xzqh:query:level(1/2);parent(无/code)
  findOne: '/api/code/xzqh/findOne', //query:name
};

export const state = () => ({});
export const mutations = {};
export const actions = {
  // 字典表
  async dicOperation({ state }, type) {
    let result;
    if (!_.isObject(type)) {
      result = await this.$axios.$get(api.dictionary, { type: type });
    } else {
      let { level, parent, name } = type;
      if (name) {
        result = await this.$axios.$get(api.findOne, {}, { name: name });
      } else {
        result = await this.$axios.$get(api.dictionary, { type: 'xzqh' }, { level: level, parent: parent });
      }
    }

    return result;
  },
};
