import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  hr: '/api/corp/corps/{corpid}/users', //list,add
  hrImp: '/api/corp/users/{id}', //查询:id:手机号,用户肯定不知道id啊!那就手机号呗;修改:用id
};

export const state = () => ({});
export const mutations = {};
export const actions = {
  //hr一系列操作
  async hrOperation({ state }, { type, data }) {
    let result;
    if (type === `delete`) {
      let { id } = data;
      result = await this.$axios.$delete(api.hrImp, {}, { id: id });
    } else if (type === `add`) {
      let { corpid, info } = data;
      result = await this.$axios.$post(api.hr, info, { corpid: corpid });
    } else if (type === 'search') {
      let { tel } = data;
      result = await this.$axios.$get(api.hrImp, { id: tel });
    } else if (type === 'update') {
      let { id, info } = data;
      result = await this.$axios.$post(api.hrImp, { ...info }, { id: id });
    } else {
      result = await this.$axios.$get(api.hr, { corpid: data });
    }
    return result;
  },
};
