import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  menuQuery: `/api/cms/menu/list`,
  menuSearch: `/api/cms/menu/fetch/{id}`,
};
export const state = () => ({});
export const mutations = {};
export const actions = {
  //分站菜单
  async menuOperation({ state }, { type, data }) {
    let result;
    if (type === 'list') {
      let { site } = data;
      result = await this.$axios.$get(api.menuQuery, {}, { is_use: '0' });
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.menuSearch, { id: id });
    }
    return result;
  },
};
