import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  bugList: `/api/cms/newscreeper/list`,
  newsQuery: `/api/cms/news/list`,
  bugInfo: `/api/cms/newscreeper/fetch/{id}`,
};
export const state = () => ({});
export const mutations = {};
export const actions = {
  // 信息管理
  async newsOperation({ state }, { type, data }) {
    let { skip, limit } = data;
    let result;
    if (type === 'list') {
      let { parent_id, news_type } = data;
      if (news_type === '0') {
        result = await this.$axios.$get(api.bugList, {}, { parent_id: parent_id, skip: skip, limit: limit, is_use: '0' });
      } else {
        result = await this.$axios.$get(api.newsQuery, {}, { parent_id: parent_id, skip: skip, limit: limit, is_use: '0' });
      }
    }
    if (type === 'search') {
      let { id, news_type } = data;
      result = await this.$axios.$get(api.bugInfo, { id: id });
    }
    return result;
  },
};
