import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  registers: '/api/stud/registers',
  corpReg: '/api/corp/corps',
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  async registerStuOperation({ state, commit }, { data }) {
    let result = await this.$axios.$post(api.registers, data, {}, {});
    return result;
  },
  async corpReg({ state, commit }, { data, schid, schname }) {
    let result = await this.$axios.$post(api.corpReg, data, {}, { schid: JSON.stringify(schid), schname: schname });
    return result;
  },
  async schCorps({ state, commit }) {
    let result = await this.$axios.$get('/corp/corps', { schid: '福瑞' });
    console.log(result);
    return result;
  },
};
