import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  corpSchInfo: '/api/corp/corps/{corpid}/schs',
};
export const state = () => ({});
export const mutations = {};
export const actions = {
  async corpSchInfo({ state, commit }, { type, data }) {
    let result;
    if (type === 'list') {
      let { corpid, skip, limit } = data;
      result = await this.$axios.$get(`${api.corpSchInfo}`, { corpid: corpid }, { skip: skip, limit: limit });
    }

    return result;
  },
};
