import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  siteFetch: `/api/cms/site/config`,
  siteContent: `/api/cms/site/content`,
};
export const state = () => ({});
export const mutations = {};
export const actions = {
  async siteOperation({ state }, { type, data }) {
    let result;
    let content = await this.$axios.$get(api.siteContent, {});
    result = await this.$axios.$get(api.siteFetch, {});
    if (content.data && `${content.errcode}` === '0') {
      result.data.content = content && content.data ? content.data : '';
    }
    return result;
  },
};
