import Vue from 'vue';
import Vuex from 'vuex';
import * as user from '@/store/user';
import * as site from '@/store/site';
import * as modules from '@/store/module';
import * as column from '@/store/column';
import * as news from '@/store/news';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    user: user,
    site: site,
    module: modules,
    column: column,
    news: news,
  },
});
