import Vue from 'vue';
import Vuex from 'vuex';
import * as jobs from '@/store/jobs';
import * as user from '@/store/user';
import * as resumes from '@/store/resumes';
import * as letters from '@/store/letters';
import * as corp from '@/store/corp';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    jobs: jobs,
    user: user,
    resumes: resumes,
    letters: letters,
    corp: corp,
  },
});
