import Vue from 'vue';
import Vuex from 'vuex';
import * as register from '@/store/register';
import * as user from '@/store/user';
import * as dictionary from '@/store/dictionary';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    register: register,
    user: user,
    dictionary: dictionary,
  },
});
